Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 985662 - guest cant get ip address after resume from s4 with assigned vf
Summary: guest cant get ip address after resume from s4 with assigned vf
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm
Version: 6.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Hai Huang
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 912287
TreeView+ depends on / blocked
 
Reported: 2013-07-18 04:06 UTC by mazhang
Modified: 2016-09-20 04:39 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-05 22:15:43 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description mazhang 2013-07-18 04:06:55 UTC
Description of problem:
assign a vf to guest, boot up guest then suspend to disk, after resume guest cant get ip address, try restart network and dhclient , also cant get ip, but if reboot guest network will works well

Version-Release number of selected component (if applicable):

host configuration:
qemu-kvm-0.12.1.2-2.378.el6.x86_64
2.6.32-398.el6.x86_64
Intel Corporation 82599EB 10-Gigabit SFI/SFP+ Network Connection (rev 01)
#lspci -v -s 06:10.2
06:10.2 Ethernet controller: Intel Corporation 82599 Ethernet Controller Virtual Function (rev 01)
	Subsystem: Intel Corporation Device 7a11
	Flags: bus master, fast devsel, latency 0
	[virtual] Memory at df404000 (64-bit, non-prefetchable) [size=16K]
	[virtual] Memory at df504000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: [70] MSI-X: Enable+ Count=3 Masked-
	Capabilities: [a0] Express Endpoint, MSI 00
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [150] Alternative Routing-ID Interpretation (ARI)
	Kernel driver in use: pci-stub
	Kernel modules: ixgbevf


guest:
RHEL6.5-20130712.n.0
2.6.32-398.el6.x86_64


How reproducible:
100%

Steps to Reproduce:
1.Unbind a physical nic device from host (VF)
#echo "8086 10ed" >/sys/bus/pci/drivers/pci-stub/new_id 
#echo 0000:06:10.2 >/sys/bus/pci/devices/0000\:06\:10.2/driver/unbind 
#echo 0000:06:10.2 >/sys/bus/pci/drivers/pci-stub/bind

2.Boot up guest with the vf
/usr/libexec/qemu-kvm \
-M pc \
-cpu SandyBridge \
-m 2G \
-smp 2,sockets=1,cores=2,threads=1,maxcpus=16 \
-enable-kvm \
-name rhel6u5 \
-uuid 990ea161-6b67-47b2-b803-19fb01d30d12 \
-smbios type=1,manufacturer='Red Hat',product='RHEV Hypervisor',version=el6,serial=koTUXQrb,uuid=feebc8fd-f8b0-4e75-abc3-e63fcdb67170 \
-k en-us \
-rtc base=localtime,clock=host,driftfix=slew \
-nodefaults \
-monitor stdio \
-qmp tcp:0:6666,server,nowait \
-boot menu=on \
-bios /usr/share/seabios/bios.bin \
-vga qxl \
-spice port=5900,disable-ticketing \
-global PIIX4_PM.disable_s3=0 \
-global PIIX4_PM.disable_s4=0 \
-drive file=/home/rhel6u5.raw,if=none,id=drive-virtio-disk0,format=raw,cache=none,werror=stop,rerror=stop,aio=threads \
-device virtio-blk-pci,scsi=off,bus=pci.0,drive=drive-virtio-disk0,id=virtio-disk0 \
-device pci-assign,host=06:10.2,id=hostnet \

3. do s4
#echo disk >/sys/power/state

4. after qemu quit boot up guest again, and check guest network.


Actual results:
cant get ip address

Expected results:
can get ip address, network works well.

Additional info:

Comment 2 langfang 2013-07-18 10:15:46 UTC
Windows guest (2008r2-64) after S3/S4 have same problem.

Test Version:

# uname -r 
2.6.32-398.el6.x86_64
# rpm -q qemu-kvm
qemu-kvm-0.12.1.2-2.378.el6.x86_64

Guest:win2008r2-64

Comment 4 mazhang 2013-09-11 09:57:15 UTC
Can not hit this problem with qemu-kvm-0.12.1.2-2.400.el6.x86_64

host:
RHEL6.5-20130905.1
qemu-kvm-0.12.1.2-2.400.el6.x86_64

[root@intel-e5530-8-2 ~]# lspci -v -s 06:10.1
06:10.1 Ethernet controller: Intel Corporation 82576 Virtual Function (rev 01)
	Subsystem: Intel Corporation Device a03c
	Flags: bus master, fast devsel, latency 0
	[virtual] Memory at dd440000 (64-bit, non-prefetchable) [size=16K]
	[virtual] Memory at dd460000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: [70] MSI-X: Enable+ Count=3 Masked-
	Capabilities: [a0] Express Endpoint, MSI 00
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [150] Alternative Routing-ID Interpretation (ARI)
	Kernel driver in use: pci-stub
	Kernel modules: igbvf

guest:
RHEL6.5-20130905.1

CLI:
/usr/libexec/qemu-kvm \
-M pc \
-cpu SandyBridge \
-m 2G \
-smp 4,sockets=2,cores=2,threads=1,maxcpus=16 \
-enable-kvm \
-name rhel6 \
-uuid 990ea161-6b67-47b2-b803-19fb01d30d12 \
-smbios type=1,manufacturer='Red Hat',product='RHEV Hypervisor',version=el6,serial=koTUXQrb,uuid=feebc8fd-f8b0-4e75-abc3-e63fcdb67170 \
-k en-us \
-rtc base=localtime,clock=host,driftfix=slew \
-nodefaults \
-monitor stdio \
-qmp tcp:0:6666,server,nowait \
-boot menu=on \
-bios /usr/share/seabios/bios.bin \
-vga qxl \
-spice port=5900,disable-ticketing \
-global PIIX4_PM.disable_s3=0 \
-global PIIX4_PM.disable_s4=0 \
-drive file=/home/rhel6u5.raw,if=none,id=drive-virtio-disk0,format=raw,cache=none,werror=stop,rerror=stop,aio=threads \
-device virtio-blk-pci,scsi=off,bus=pci.0,drive=drive-virtio-disk0,id=virtio-disk0,bootindex=2 \
-device pci-assign,host=06:10.1,id=vf1,romfile=/home/808610ca.rom \

after resume from s4, guest network works well, can get ip addr.

Comment 6 Ademar Reis 2014-06-05 22:15:43 UTC
S3/S4 support is tech-preview in RHEL6 and it'll be promoted to fully supported
at some point, but only in RHEL7.

Therefore we're closing all S3/S4 related bugs in RHEL6. New bugs will be
considered only if they're regressions or break some important use-case or
certification.

RHEL7 is being more extensively tested and effort from QE is underway in
certifying that this particular bug is not present there.

Please reopen with a justification if you believe this bug should not be
closed. We'll consider them on a case-by-case basis following a best effort
approach.


Thank you.


Note You need to log in before you can comment on or make changes to this bug.